Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.GeneralParameters.Parameters Class Reference

Class containing all simulator parameters. More...

## Public Member Functions
void | Serialize (string path)
| Save parameters to file. More...

## Static Public Member Functions
static Parameters | Deserialize (string path)
| Opens parameters file to import. More...

## Properties
CellularTopologyParameters | CellularTopologyParameters`[get]`
| Reference to cellular topology parameters. More...
TransitionFunctionParameters | TransitionFunctionParameters`[get]`
| Reference to transition function parameters. More...

## Detailed Description

Class containing all simulator parameters.

Definition at line 12 of file Parameters.cs.

## Member Function Documentation

static Parameters Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.GeneralParameters.Parameters.Deserialize | ( | string | path | ) |
| static

Opens parameters file to import.

Parameters

  path | Path to file.

Definition at line 39 of file Parameters.cs.

void Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.GeneralParameters.Parameters.Serialize | ( | string | path | ) |

Save parameters to file.

Parameters

  path | Path to file.

Definition at line 52 of file Parameters.cs.

## Property Documentation

CellularTopologyParameters Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.GeneralParameters.Parameters.CellularTopologyParameters
| get

Reference to cellular topology parameters.

Definition at line 21 of file Parameters.cs.

TransitionFunctionParameters Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.GeneralParameters.Parameters.TransitionFunctionParameters
| get

Reference to transition function parameters.

Definition at line 31 of file Parameters.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/CellularTopologyObjects/GeneralParameters/Parameters.cs